//
//  GIMobj.m
//  TIMCommon
//
//  Created by gan on 2025/3/23.
//


#import "GIMobj.h"

@implementation chat
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}
@end

@implementation ChatSimple
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}
@end

@implementation Collect
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}
@end

@implementation Dept
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}
@end

@implementation Extend
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}
@end

@implementation Group
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}
@end

@implementation GroupInvite
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}
@end

@implementation Immunity
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}
@end

@implementation Message
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}

-(void)setValuesWithDictionary:(NSDictionary *)dic{
    //消息id,雪花id,有序增长
    self.id=dic[@"id"];
    //消息文件类型 文本|附件|ping|语音
    self.messageType=dic[@"messageType"];
    //聊天室id
    self.chatId=dic[@"chatId"];
    //消息发送人
    self.fromId=dic[@"fromId"];
    //是否是本人
    self.mine=dic[@"mine"];
    //消息内容
    self.content=dic[@"content"];
    //消息时间
    self.timestamp=dic[@"timestamp"];
    //本地消息时间
    self.localtime=dic[@"localtime"];
    //消息类型：私聊|群聊
    self.type=dic[@"type"];
    //消息是否重发：true重发|false 非重发
    self.reSend=false;
    self.result=dic[@"result"];
    //扩展
    self.extend=dic[@"extend"];

}

@end

@implementation Receipt
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}
@end

@implementation Setting
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}
@end

@implementation setUser
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}
@end

@implementation User
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}
@end

@implementation Friend

-(instancetype)init{
    self = [super init];
    if (self) {
        
    }
    return self;
}
@end

@implementation UserSimple
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}
@end

@implementation Webrtc
-(instancetype)init{
    self = [super init];
    if (self) {
    }
    return self;
}
@end

